namespace adas_core.Domain.Models.MongoModels;

public class HistoricalId(DateTime time, Dictionary<string, string> patientIds)
{
    // Propiedades
    public DateTime? Time { get; set; } = time;

    public Dictionary<string, string> PatientIds { get; set; } =
        patientIds ?? throw new ArgumentNullException(nameof(patientIds));


    public bool IsEmpty()
    {
        return Time == default(DateTime) && PatientIds.Count == 0;
    }


    public bool IsFull()
    {
        return Time != default(DateTime) && PatientIds.Count > 0;
    }


    public override string ToString()
    {
        var idsString = string.Join(", ", PatientIds);
        return $"HistoricalId[Time: {Time}, PatientIds: {idsString}]";
    }
}